Index: /extensions/UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 10342)
@@ -34,4 +34,5 @@
 $UAM_Exclusionlist_Error = false;
 
+$dump_download = '';
 
 // +-----------------------------------------------------------------------+
@@ -223,4 +224,18 @@
   }
 
+  // Saving UAM tables and configuration settings
+  if (isset($_POST['save']))
+  {
+    $dump_download = (isset($_POST['dump_download'])) ? 'true' : 'false';
+    
+    if(uam_dump($dump_download) and $dump_download == 'false')
+    {
+      array_push($page['infos'], l10n('UAM_Dump_OK'));
+    }
+    else
+    {
+      array_push($page['errors'], l10n('UAM_Dump_NOK'));
+    }
+  }
 
   //Testing password enforcement
@@ -372,4 +387,5 @@
     'UAM_VERSION'                    => $version,
     'UAM_PATH'                       => UAM_PATH,
+    'UAM_DUMP_DOWNLOAD'              => $dump_download,
 		'UAM_MAIL_INFO_TRUE'             => $conf_UAM[0]=='true' ?  'checked="checked"' : '' ,
 		'UAM_MAIL_INFO_FALSE'            => $conf_UAM[0]=='false' ?  'checked="checked"' : '' ,
Index: /extensions/UserAdvManager/trunk/admin/template/global.tpl
===================================================================
--- /extensions/UserAdvManager/trunk/admin/template/global.tpl	(revision 10341)
+++ /extensions/UserAdvManager/trunk/admin/template/global.tpl	(revision 10342)
@@ -703,4 +703,26 @@
 </form>
 
+
+<div id="instructionTips" class="instructionBlock" >
+  <div id="Backup_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('Backup_header', 'Backup')">
+    <span class="cluetip" title="{'UAM_DumpTitle'|translate}|{'UAM_DumpTitle_d'|translate}">{'UAM_DumpTxt'|@translate}</span>
+  </div>
+  
+  <div id="Backup" class="instructionBlockContent" style="display:none">
+<fieldset>
+<form method="post" action="" class="general">
+  <p>
+    {'UAM_Dump_Download'|@translate}&nbsp;
+      <input type="checkbox" name="dump_download" value="true" {$UAM_DUMP_DOWNLOAD}>
+  <br><br>
+      <input class="submit" type="submit" value="{'UAM_Save'|@translate}" name="save" {$TAG_INPUT_ENABLED}>
+  </p>
+</form>
+</fieldset>
+  </div>
+
+</div>
+
+
 <div id="instructionTips" class="instructionBlock" >
   <div id="Tips_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('Tips_header', 'Tips')">
@@ -734,4 +756,5 @@
 </div>
 
+
 <fieldset>
   {'UAM_Support_txt'|@translate}
Index: /extensions/UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 10342)
@@ -239,4 +239,7 @@
 -- 2.20.2 : Bug 2256 fixed - Error on upgrade from version 2.20.0 to 2.20.1
 
+-- 2.20.3 : Bug 2257
+            Bug 2258 fixed - New feature to backup UAM configuration and personnal settings
+
 */
 ?>
Index: /extensions/UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 10342)
@@ -2403,4 +2403,116 @@
 
 /**
+ * UAM specific database dump (only for MySql !)
+ * Creates an SQL dump of UAM specific tables and configuration settings
+ * 
+ * @returns  : Boolean to manage appropriate message display
+ * 
+ */
+function uam_dump($download)
+{
+  global $conf;
+  
+  // Initial backup folder creation and file initialisation
+  if (!is_dir(UAM_PATH.'/include/backup'))
+    mkdir(UAM_PATH.'/include/backup');
+
+  $Backup_File = UAM_PATH.'/include/backup/UAM_dbbackup.sql';
+
+  $fp = fopen($Backup_File, 'w');
+
+
+  // Saving UAM specific tables
+  $ListTables = array(USER_CONFIRM_MAIL_TABLE, USER_LASTVISIT_TABLE);
+  $j=0;
+  
+  while($j < count($ListTables))
+  {
+    $sql = 'SHOW CREATE TABLE '.$ListTables[$j];
+    $res = pwg_query($sql);
+
+    if ($res)
+    {
+      $insertions = "-- -------------------------------------------------------\n";
+      $insertions .= "-- Create ".$ListTables[$j]." table\n";
+      $insertions .= "-- ------------------------------------------------------\n\n";
+
+      $insertions .= "DROP TABLE IF EXISTS ".$ListTables[$j].";\n\n";
+
+      $array = mysql_fetch_array($res);
+      $array[1] .= ";\n\n";
+      $insertions .= $array[1];
+
+      $req_table = pwg_query('SELECT * FROM '.$ListTables[$j]) or die(mysql_error());
+      $nb_fields = mysql_num_fields($req_table);
+      while ($line = mysql_fetch_array($req_table))
+      {
+        $insertions .= 'INSERT INTO '.$ListTables[$j].' VALUES (';
+        for ($i=0; $i<$nb_fields; $i++)
+        {
+          $insertions .= '\'' . mysql_real_escape_string($line[$i]) . '\', ';
+        }
+        $insertions = substr($insertions, 0, -2);
+        $insertions .= ");\n";
+      }
+      $insertions .= "\n\n";
+    }
+
+    fwrite($fp, $insertions);    
+    $j++;
+  }
+  
+  // Saving UAM configuration
+  $insertions = "-- -------------------------------------------------------\n";
+  $insertions .= "-- Insert UAM configuration in ".CONFIG_TABLE."\n";
+  $insertions .= "-- ------------------------------------------------------\n\n";
+
+  fwrite($fp, $insertions);
+
+  $pattern = "UserAdvManager%";
+  $req_table = pwg_query('SELECT * FROM '.CONFIG_TABLE.' WHERE param LIKE "'.$pattern.'";') or die(mysql_error());
+  $nb_fields = mysql_num_fields($req_table);
+
+  while ($line = mysql_fetch_array($req_table))
+  {
+    $insertions = 'INSERT INTO '.CONFIG_TABLE.' VALUES (';
+    for ($i=0; $i<$nb_fields; $i++)
+    {
+      $insertions .= '\'' . mysql_real_escape_string($line[$i]) . '\', ';
+    }
+    $insertions = substr($insertions, 0, -2);
+    $insertions .= ");\n";
+
+    fwrite($fp, $insertions);
+  }
+
+  fclose($fp);
+
+  // Download generated dump file
+  if ($download == 'true')
+  {
+    if (@filesize($Backup_File))
+    {
+      $http_headers = array(
+        'Content-Length: '.@filesize($Backup_File),
+        'Content-Type: text/x-sql',
+        'Content-Disposition: attachment; filename="UAM_dbbackup.sql";',
+        'Content-Transfer-Encoding: binary',
+        );
+
+      foreach ($http_headers as $header)
+      {
+        header($header);
+      }
+
+      @readfile($Backup_File);
+      exit();
+    }
+  }
+
+  return true;
+}
+
+
+/**
  * Useful for debugging - 4 vars can be set
  * Output result to log.txt file
Index: /extensions/UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 10342)
@@ -267,3 +267,15 @@
 Please refer to the <b>Tipps und Beispiele</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+$lang['UAM_DumpTitle'] = 'Sichern Sie Ihre Konfiguration';
+$lang['UAM_DumpTitle_d'] = 'Dies ermöglicht Ihnen die gesamte Konfiguration des Plugins in eine Datei zu speichern damit Sie sie wiederherstellen können wenn etwas schief geht (falsche Manipulation oder vor einem Update, zum Beispiel). Standardmäßig wird die Datei in diesem Ordner gespeichert ../plugins/UserAdvManager/include/backup/ und heißt &quot;UAM_dbbackup.sql&quot;.
+<br><br>
+<b style=&quot;color: red;&quot;>Achtung: Die Datei wird überschrieben jedem Backup Aktion!</b>
+<br><br>
+Es kann manchmal nützlich sein, um die Backup-Datei auf Ihrem Computer abrufen. Zum Beispiel: Um zu einer anderen Datenbank auslagern wiederherzustellen oder zu halten mehrere Dateien speichern. Dazu markieren Sie das Kontrollkästchen, um die Datei herunterzuladen.
+<br><br>
+Die Erholung von dieser Schnittstelle wird nicht unterstützt. Verwenden Sie Tools wie phpMyAdmin.';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 10342)
@@ -190,6 +190,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['UAM_Support_txt'] = 'Die offizielle Unterstützung für dieses Plugin ist nur auf diesem Diskussionsforum von Piwigo:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Französisch-Forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>oder<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Englisch-Forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
 Ebenfalls erhältlich, das Projekt Bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
@@ -318,3 +316,12 @@
 $lang['UAM_Stuffs'] = 'PWG Stuffs Modul';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+$lang['UAM_DumpTxt'] = 'Sichern Sie Ihre Konfiguration';
+$lang['UAM_Dump_Download'] = 'Zum Download der Backup-Datei, überprüfen Sie bitte dieses Feld:';
+$lang['UAM_Save'] = 'Starten der Backup';
+$lang['UAM_Dump_OK'] = 'Backup-Datei erfolgreich erstellt';
+$lang['UAM_Dump_NOK'] = 'Fehler: Backup-Datei kann nicht erstellt werden !';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 10342)
@@ -267,3 +267,15 @@
 Please refer to the <b>Tips and Examples of Use</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+$lang['UAM_DumpTitle'] = 'Backup your configuration';
+$lang['UAM_DumpTitle_d'] = 'This allows you to save the entire configuration of the plugin in a file so you can restore it if something goes wrong (wrong manipulation or before an update, for example). By default, the file is stored in this folder ../plugins/UserAdvManager/include/backup/ and is called &quot;UAM_dbbackup.sql&quot;.
+<br><br>
+<b style=&quot;color: red;&quot;>Warning: The file is overwritten each backup action!</b>
+<br><br>
+It can sometimes be useful to retrieve the backup file on your computer. For example: To restore to another database, to outsource or to keep multiple save files. To do this, just check the box to download the file.
+<br><br>
+The recovery from this interface is not supported. Use tools like phpMyAdmin.';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 10342)
@@ -188,6 +188,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['UAM_Support_txt'] = 'The official support on this plugin is only on these Piwigo forum topic:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>or<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
 Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
@@ -320,3 +318,12 @@
 $lang['UAM_Stuffs'] = 'PWG Stuffs block';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+$lang['UAM_DumpTxt'] = 'Backup your configuration';
+$lang['UAM_Dump_Download'] = 'To download the backup file, please check this box:';
+$lang['UAM_Save'] = 'Run backup';
+$lang['UAM_Dump_OK'] = 'Backup file created successfully';
+$lang['UAM_Dump_NOK'] = 'Error: Unable to create backup file !';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 10342)
@@ -263,3 +263,15 @@
 Please refer to the <b>Consejos y ejemplos</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+/*TODO*/$lang['UAM_DumpTitle'] = 'Backup your configuration';
+/*TODO*/$lang['UAM_DumpTitle_d'] = 'This allows you to save the entire configuration of the plugin in a file so you can restore it if something goes wrong (wrong manipulation or before an update, for example). By default, the file is stored in this folder ../plugins/UserAdvManager/include/backup/ and is called &quot;UAM_dbbackup.sql&quot;.
+<br><br>
+<b style=&quot;color: red;&quot;>Warning: The file is overwritten each backup action!</b>
+<br><br>
+It can sometimes be useful to retrieve the backup file on your computer. For example: To restore to another database, to outsource or to keep multiple save files. To do this, just check the box to download the file.
+<br><br>
+The recovery from this interface is not supported. Use tools like phpMyAdmin.';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 10342)
@@ -229,6 +229,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['UAM_Support_txt'] = 'El apoyo oficial sobre este plugin se encuentra solo en el foro de Piwigo:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Foro Francés - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>o<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Foro Inglés - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
 También está disponible, el bugtracker del proyecto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
@@ -358,3 +356,12 @@
 $lang['UAM_Stuffs'] = 'PWG Stuffs módulo';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+/*TODO*/$lang['UAM_DumpTxt'] = 'Backup your configuration';
+/*TODO*/$lang['UAM_Dump_Download'] = 'To download the backup file, please check this box:';
+/*TODO*/$lang['UAM_Save'] = 'Run backup';
+/*TODO*/$lang['UAM_Dump_OK'] = 'Backup file created successfully';
+/*TODO*/$lang['UAM_Dump_NOK'] = 'Error: Unable to create backup file !';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 10342)
@@ -263,3 +263,15 @@
 Veuillez vous reporter à la section <b>Astuces et exemples d\'utilisation</b> en bas de cette page pour les détails.';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+$lang['UAM_DumpTitle'] = 'Sauvegarde de votre configuration';
+$lang['UAM_DumpTitle_d'] = 'Ceci vous permet de sauvegarder la configuration complète du plugin dans un fichier afin de pouvoir la restaurer en cas de problème (fausse manipulation ou avant une mise à jour, par exemple). Par défaut, le fichier est stocké dans le dossier ../plugins/UserAdvManager/include/backup/ et se nomme &quot;UAM_dbbackup.sql&quot;.
+<br><br>
+<b style=&quot;color: red;&quot;>Attention : Le fichier est écrasé à chaque action de sauvegarde !</b>
+<br><br>
+Il peut être parfois utile de récupérer le fichier de sauvegarde sur votre ordinateur. Par exemple : Pour une restauration sur une autre base de données, pour externaliser la sauvegarder ou pour conserver plusieurs fichiers. Pour cela, il suffit de cocher la case correspondante au téléchargement du fichier.
+<br><br>
+La restauration à partir de cette interface n\'est pas prise en charge. Utilisez des outils comme PhpMyAdmin.';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 10342)
@@ -186,8 +186,7 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['UAM_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
+$lang['UAM_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ce fil du forum FR de Piwigo:<br>
 <a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>ou<br>
-<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum anglais - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+<br><br>
 Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 // --------- End: New or revised $lang ---- from version 2.15.1
@@ -318,3 +317,12 @@
 $lang['UAM_Stuffs'] = 'Module PWG Stuffs';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+$lang['UAM_DumpTxt'] = 'Sauvegarde de votre configuration';
+$lang['UAM_Dump_Download'] = 'Pour télécharger le fichier de sauvegarde, cochez cette case:';
+$lang['UAM_Save'] = 'Exécuter la sauvegarde';
+$lang['UAM_Dump_OK'] = 'Fichier de sauvegarde créé avec succès';
+$lang['UAM_Dump_NOK'] = 'Erreur : Impossible de créer le fichier de sauvegarde !';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 10342)
@@ -254,3 +254,15 @@
 Please refer to the <b>Tips and Examples of Use</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+/*TODO*/$lang['UAM_DumpTitle'] = 'Backup your configuration';
+/*TODO*/$lang['UAM_DumpTitle_d'] = 'This allows you to save the entire configuration of the plugin in a file so you can restore it if something goes wrong (wrong manipulation or before an update, for example). By default, the file is stored in this folder ../plugins/UserAdvManager/include/backup/ and is called &quot;UAM_dbbackup.sql&quot;.
+<br><br>
+<b style=&quot;color: red;&quot;>Warning: The file is overwritten each backup action!</b>
+<br><br>
+It can sometimes be useful to retrieve the backup file on your computer. For example: To restore to another database, to outsource or to keep multiple save files. To do this, just check the box to download the file.
+<br><br>
+The recovery from this interface is not supported. Use tools like phpMyAdmin.';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 10342)
@@ -188,6 +188,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['UAM_Support_txt'] = 'Il supporto ufficiale a questo plugin è solo su questi argomento del forum Piwigo:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forum francese - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>o<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum inglese - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
 Disponibile anche, il bugtracker del progetto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
@@ -317,3 +315,12 @@
 $lang['UAM_Stuffs'] = 'modulo PWG Stuffs';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+/*TODO*/$lang['UAM_DumpTxt'] = 'Backup your configuration';
+/*TODO*/$lang['UAM_Dump_Download'] = 'To download the backup file, please check this box:';
+/*TODO*/$lang['UAM_Save'] = 'Run backup';
+/*TODO*/$lang['UAM_Dump_OK'] = 'Backup file created successfully';
+/*TODO*/$lang['UAM_Dump_NOK'] = 'Error: Unable to create backup file !';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 10342)
@@ -289,3 +289,15 @@
 Please refer to the <b>Tips and Examples of Use</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+/*TODO*/$lang['UAM_DumpTitle'] = 'Backup your configuration';
+/*TODO*/$lang['UAM_DumpTitle_d'] = 'This allows you to save the entire configuration of the plugin in a file so you can restore it if something goes wrong (wrong manipulation or before an update, for example). By default, the file is stored in this folder ../plugins/UserAdvManager/include/backup/ and is called &quot;UAM_dbbackup.sql&quot;.
+<br><br>
+<b style=&quot;color: red;&quot;>Warning: The file is overwritten each backup action!</b>
+<br><br>
+It can sometimes be useful to retrieve the backup file on your computer. For example: To restore to another database, to outsource or to keep multiple save files. To do this, just check the box to download the file.
+<br><br>
+The recovery from this interface is not supported. Use tools like phpMyAdmin.';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 10342)
@@ -226,6 +226,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
 $lang['UAM_Support_txt'] = 'Oficiāls šī spraudņa atbalsts ir pieejams tikai Piwigo forumā:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">Forums fraņču valodā - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
-<br>or<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forums angļu valodā - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
 Vēl pieejasms projekta bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
@@ -355,3 +353,12 @@
 /*TODO*/$lang['UAM_Stuffs'] = 'PWG Stuffs block';
 // --------- End: New or revised $lang ---- from version 2.20.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.3
+/*TODO*/$lang['UAM_DumpTxt'] = 'Backup your configuration';
+/*TODO*/$lang['UAM_Dump_Download'] = 'To download the backup file, please check this box:';
+/*TODO*/$lang['UAM_Save'] = 'Run backup';
+/*TODO*/$lang['UAM_Dump_OK'] = 'Backup file created successfully';
+/*TODO*/$lang['UAM_Dump_NOK'] = 'Error: Unable to create backup file !';
+// --------- End: New or revised $lang ---- from version 2.20.3
 ?>
Index: /extensions/UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/main.inc.php	(revision 10341)
+++ /extensions/UserAdvManager/trunk/main.inc.php	(revision 10342)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.20.2
+Version: 2.20.3
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=216