Index: /extensions/Comments_on_Albums/language/de_DE/description.txt
===================================================================
--- /extensions/Comments_on_Albums/language/de_DE/description.txt	(revision 10346)
+++ /extensions/Comments_on_Albums/language/de_DE/description.txt	(revision 10346)
@@ -0,0 +1,1 @@
+Aktiviert die Kommentare auf der Albumseite.
Index: /extensions/Comments_on_Albums/language/de_DE/index.php
===================================================================
--- /extensions/Comments_on_Albums/language/de_DE/index.php	(revision 10346)
+++ /extensions/Comments_on_Albums/language/de_DE/index.php	(revision 10346)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php	(revision 10346)
+++ /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php	(revision 10346)
@@ -0,0 +1,17 @@
+<?php
+
+/* common */
+$lang['COA_comments_photos'] = "Kommentare zu Fotos";
+$lang['COA_comments_albums'] = "Kommentare zu Alben";
+
+/* admin */
+$lang['COA_icon_pack'] = 'Icons Pack';
+$lang['COA_icon_normal'] = 'Grundzustand';
+$lang['COA_icon_over'] = 'Over-Status';
+
+$lang['COA_help_icon_pack'] = "Wählen Sie welche Icons auf der Hauptseite der Kommentare verwendet werden sollen.<br>
+	<br>
+	Sie können Ihre eigene im folgenden Ordner hinzufügen: <i>plugins/comments_on_pictures/template/s26</i>.";
+$lang['COA_comment_validation_link'] = "Die Validierung der Kommentare (falls aktiviert) zu den Alben ist auf <a href='admin.php?page=comments&section=albums'>der gleichen Seite</a> wie die Kommentare zu den Fotos.";
+
+?>
Index: /extensions/Comments_on_Albums/language/it_IT/description.txt
===================================================================
--- /extensions/Comments_on_Albums/language/it_IT/description.txt	(revision 10346)
+++ /extensions/Comments_on_Albums/language/it_IT/description.txt	(revision 10346)
@@ -0,0 +1,1 @@
+Attiva i commenti sulla pagina degli album.
Index: /extensions/Comments_on_Albums/language/it_IT/index.php
===================================================================
--- /extensions/Comments_on_Albums/language/it_IT/index.php	(revision 10346)
+++ /extensions/Comments_on_Albums/language/it_IT/index.php	(revision 10346)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php	(revision 10346)
+++ /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php	(revision 10346)
@@ -0,0 +1,17 @@
+<?php
+
+/* common */
+$lang['COA_comments_photos'] = "Commenti delle foto";
+$lang['COA_comments_albums'] = "Commenti degli album";
+
+/* admin */
+$lang['COA_icon_pack'] = 'Pacco d\'icone';
+$lang['COA_icon_normal'] = 'Condizione di base';
+$lang['COA_icon_over'] = 'Stato elevato';
+
+$lang['COA_help_icon_pack'] = "Selezionare le icone che devono essere utilizzate nella pagina principale dei Commenti.<br>
+	<br>
+	Potete aggiungere delle proprie icone nella cartella <i>plugins/comments_on_pictures/template/s26</i>.";
+$lang['COA_comment_validation_link'] = "La Validazione (se attivata) dei commenti degli album si trova <a href='admin.php?page=comments&section=albums'>sulla stessa pagina</a> dei commenti delle foto.";
+
+?>