Index: extensions/Autosize/admin/template/admin.tpl
===================================================================
--- extensions/Autosize/admin/template/admin.tpl	(revision 10346)
+++ extensions/Autosize/admin/template/admin.tpl	(revision 10347)
@@ -1,2 +1,7 @@
+{if PHPWG_VERSION < 2.2 } 
+{include file=$AUTOSIZE_PATH_ABS|@cat:'admin/template/header_2_1.tpl'}
+{else} 
+{include file= $AUTOSIZE_PATH_ABS|@cat:'admin/template/header_2_2.tpl'}
+{/if} 
 {html_head} 
  <script type="text/javascript">
@@ -35,9 +40,5 @@
  </script>
  
-  {if PHPWG_VERSION < 2.2 } 
-  {include file=$AUTOSIZE_PATH_ABS|@cat:'admin/template/header_2_1.tpl'}
-{else} 
-{include file= $AUTOSIZE_PATH_ABS|@cat:'admin/template/header_2_2.tpl'}
- {/if} 
+
  
    
Index: extensions/Autosize/admin/template/header_2_2.tpl
===================================================================
--- extensions/Autosize/admin/template/header_2_2.tpl	(revision 10346)
+++ extensions/Autosize/admin/template/header_2_2.tpl	(revision 10347)
@@ -1,5 +1,5 @@
 ﻿{get_combined_scripts load='header'} 
-{combine_script id="jquery" load="header" path = $ROOT_URL|@cat:"themes/default/js/jquery.min.js"}
-{combine_script id="jquery.cluetip" path = $ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
+{combine_script id="jquery" load="header" path = "themes/default/js/jquery.min.js"}
+{combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
 {combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery"} 
 {combine_script id="dimensions" path = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js" require="jquery"} 
Index: extensions/Autosize/autosize.inc.php
===================================================================
--- extensions/Autosize/autosize.inc.php	(revision 10346)
+++ extensions/Autosize/autosize.inc.php	(revision 10347)
@@ -46,30 +46,31 @@
     if ('kardon' == $user['theme'] and isset($_GET['slideshow'])) return ;
      
-		$ma_page=isset($page['body_id'])?$page['body_id']:"" ;
- 		if ($ma_page=='thePiwiShackControllerPage') return ;
-
-       if (PHPWG_VERSION < 2.2 ) 
-                $file =AUTOSIZE_PATH_ABS.'template/header_2_1.tpl' ;
-        else 
-                $file =AUTOSIZE_PATH_ABS.'template/header_2_2.tpl' ;
-
-        $template->set_filenames(array('autosize_init_header'=> $file ));
-		$template->set_filenames(array('autosize_init'=>AUTOSIZE_PATH_ABS. "template/conflit.tpl" ) );	
-		$DEBUG = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : "false" ; 
-		$autosize_parametres =	 cl_autosize_Get_Options() ;			
-		$theme=$user['theme'];
-  		$template->assign(
-  						array(   
-						'autosize_parametres' => $autosize_parametres ,
-						'cl_plugins' => $cl_plugin ,
-						'cl_version' => $cl_plugin['version'] ,
-						'name' => $cl_plugin['name'] ,
+    $ma_page=isset($page['body_id'])?$page['body_id']:"" ;
+    if ($ma_page=='thePiwiShackControllerPage') return ;
+
+
+    if (PHPWG_VERSION < 2.2 ) 
+      $file =AUTOSIZE_PATH_ABS.'template/header_2_1.tpl' ;
+    else 
+      $file =AUTOSIZE_PATH_ABS.'template/header_2_2.tpl' ;
+    $template->set_filenames(array('autosize_init_header'=> $file ));
+    $template->set_filenames(array('autosize_init'=>AUTOSIZE_PATH_ABS. "template/conflit.tpl" ) );	
+
+    $DEBUG = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : "false" ; 
+    $autosize_parametres =	 cl_autosize_Get_Options() ;			
+    $theme=$user['theme'];
+    $template->assign(
+      array(   
+        'autosize_parametres' => $autosize_parametres ,
+        'cl_plugins' => $cl_plugin ,
+        'cl_version' => $cl_plugin['version'] ,
+        'name' => $cl_plugin['name'] ,
                         						 
-						'theme' => $theme  ,
-						'DEBUG' => $DEBUG   ,
-                         'AUTOSIZE_PATH' => AUTOSIZE_PATH  ,
-                         'AUTOSIZE_PATH_ABS' => AUTOSIZE_PATH_ABS,
-                       						)
-						 );
+        'theme' => $theme  ,
+        'DEBUG' => $DEBUG   ,
+        'AUTOSIZE_PATH' => str_replace("../","",AUTOSIZE_PATH)  ,
+        'AUTOSIZE_PATH_ABS' => AUTOSIZE_PATH_ABS,
+         )
+    );
  	 	$template->concat('cl_conflit_init', $template->parse('autosize_init_header', true));
 		return $template->parse( 'autosize_init', false);
Index: extensions/Autosize/main.inc.php
===================================================================
--- extensions/Autosize/main.inc.php	(revision 10346)
+++ extensions/Autosize/main.inc.php	(revision 10347)
@@ -12,6 +12,5 @@
 if (!defined('AUTOSIZE_PATH')) 
 define(  'AUTOSIZE_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );
-if (!defined('ROOT_URL')) 
-define(  'ROOT_URL',  get_root_url().'/' );
+
 //==================================================================
 	include(AUTOSIZE_PATH."include/constants.php"); 	   
@@ -20,5 +19,4 @@
 global $page;
 if (!isset( $page['start'])) {
- 
  $page['start']=0;
  }
Index: extensions/Autosize/template/header_2_2.tpl
===================================================================
--- extensions/Autosize/template/header_2_2.tpl	(revision 10346)
+++ extensions/Autosize/template/header_2_2.tpl	(revision 10347)
@@ -1,4 +1,4 @@
-﻿{combine_script id="jquery" load="header" path = $ROOT_URL|@cat:"themes/default/js/jquery.min.js"} 
-{combine_script id="jquery.cluetip" path = $ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.js" require="jquery" } 
+﻿{combine_script id="jquery" load="header" path = "themes/default/js/jquery.min.js"} 
+{combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" } 
 {combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery"}
 {combine_script id="dimensions" path = $AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js" require="jquery"} 