Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 10350)
+++ /trunk/language/ar_SA/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: العربية [AR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=412
 Author: Piwigo team
Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 10350)
+++ /trunk/language/ca_ES/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Catalan [CA]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=413
 Author: Piwigo team
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 10350)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 10351)
@@ -26,5 +26,5 @@
 /*
 Language Name: Česky [CZ]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=414
 Author: Piwigo team
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 10350)
+++ /trunk/language/da_DK/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Dansk [DK]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=415
 Author: Piwigo team
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 10350)
+++ /trunk/language/de_DE/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Deutsch [DE]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=416
 Author: Piwigo team
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 10350)
+++ /trunk/language/en_UK/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: English [UK]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=417
 Author: Piwigo team
Index: /trunk/language/es_AR/common.lang.php
===================================================================
--- /trunk/language/es_AR/common.lang.php	(revision 10350)
+++ /trunk/language/es_AR/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Argentina [AR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=418
 Author: Piwigo team
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 10350)
+++ /trunk/language/es_ES/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Español [ES]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=169
 Author: Piwigo team
Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 10350)
+++ /trunk/language/fa_IR/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: فارسی [IR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=419
 Author: Piwigo team
Index: /trunk/language/fr_CA/common.lang.php
===================================================================
--- /trunk/language/fr_CA/common.lang.php	(revision 10350)
+++ /trunk/language/fr_CA/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Français [QC]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=420
 Author: Piwigo team
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 10350)
+++ /trunk/language/fr_FR/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Français [FR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=421
 Author: Piwigo team
Index: /trunk/language/he_IL/common.lang.php
===================================================================
--- /trunk/language/he_IL/common.lang.php	(revision 10350)
+++ /trunk/language/he_IL/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: עברית [IL]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=457
 Author: Piwigo team
Index: /trunk/language/hr_HR/common.lang.php
===================================================================
--- /trunk/language/hr_HR/common.lang.php	(revision 10350)
+++ /trunk/language/hr_HR/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Hrvatski [HR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=422
 Author: Piwigo team
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 10350)
+++ /trunk/language/hu_HU/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Magyar [HU]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=423
 Author: Piwigo team
Index: /trunk/language/is_IS/common.lang.php
===================================================================
--- /trunk/language/is_IS/common.lang.php	(revision 10350)
+++ /trunk/language/is_IS/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Íslenska [IS]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=
 Author: Piwigo team
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 10350)
+++ /trunk/language/it_IT/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Italiano [IT]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=424
 Author: Piwigo team
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 10350)
+++ /trunk/language/ja_JP/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: 日本語 [JP]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=425
 Author: Piwigo team
Index: /trunk/language/ka_GE/common.lang.php
===================================================================
--- /trunk/language/ka_GE/common.lang.php	(revision 10350)
+++ /trunk/language/ka_GE/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: ქართული [GE]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=426
 Author: Piwigo team
Index: /trunk/language/lv_LV/common.lang.php
===================================================================
--- /trunk/language/lv_LV/common.lang.php	(revision 10350)
+++ /trunk/language/lv_LV/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Latviešu [LV]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=427
 Author: Piwigo team
Index: /trunk/language/mk_MK/common.lang.php
===================================================================
--- /trunk/language/mk_MK/common.lang.php	(revision 10350)
+++ /trunk/language/mk_MK/common.lang.php	(revision 10351)
@@ -26,5 +26,5 @@
 /*
 Language Name: Македонски [MK]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=428
 Author: Piwigo team
Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 10350)
+++ /trunk/language/nl_NL/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Nederlands [NL]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=429
 Author: Piwigo team
Index: /trunk/language/no_NO/common.lang.php
===================================================================
--- /trunk/language/no_NO/common.lang.php	(revision 10350)
+++ /trunk/language/no_NO/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Norwegian [NO]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=483
 Author: Piwigo team
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 10350)
+++ /trunk/language/pl_PL/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Polski [PL]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=430
 Author: Piwigo team
Index: /trunk/language/pt_BR/common.lang.php
===================================================================
--- /trunk/language/pt_BR/common.lang.php	(revision 10350)
+++ /trunk/language/pt_BR/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Brasil [BR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=431
 Author: Piwigo team
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 10350)
+++ /trunk/language/pt_PT/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Português [PT]
-Version: 2.2.0.1
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=432
 Author: Piwigo team
Index: /trunk/language/ro_RO/common.lang.php
===================================================================
--- /trunk/language/ro_RO/common.lang.php	(revision 10350)
+++ /trunk/language/ro_RO/common.lang.php	(revision 10351)
@@ -26,5 +26,5 @@
 /*
 Language Name: Română [RO]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=433
 Author: Piwigo team
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 10350)
+++ /trunk/language/ru_RU/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Русский [RU]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=434
 Author: Piwigo team
Index: /trunk/language/sh_RS/common.lang.php
===================================================================
--- /trunk/language/sh_RS/common.lang.php	(revision 10350)
+++ /trunk/language/sh_RS/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Srpski [SR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=435
 Author: Piwigo team
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 10350)
+++ /trunk/language/sk_SK/common.lang.php	(revision 10351)
@@ -26,5 +26,5 @@
 /*
 Language Name: Slovensky [SK]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=452
 Author: Piwigo team
Index: /trunk/language/sl_SL/common.lang.php
===================================================================
--- /trunk/language/sl_SL/common.lang.php	(revision 10350)
+++ /trunk/language/sl_SL/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Slovenšcina [SL]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=453
 Author: Piwigo team
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 10350)
+++ /trunk/language/sr_RS/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Српски [SR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=458
 Author: Piwigo team
Index: /trunk/language/sv_SE/common.lang.php
===================================================================
--- /trunk/language/sv_SE/common.lang.php	(revision 10350)
+++ /trunk/language/sv_SE/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Svenska [SE]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=451
 Author: Piwigo team
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 10350)
+++ /trunk/language/tr_TR/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Türkçe [TR]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=436
 Author: Piwigo team
Index: /trunk/language/uk_UA/common.lang.php
===================================================================
--- /trunk/language/uk_UA/common.lang.php	(revision 10350)
+++ /trunk/language/uk_UA/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Українська [UA]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=523
 Author: Piwigo team
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 10350)
+++ /trunk/language/vi_VN/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: Tiếng Việt [VN]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=437
 Author: Piwigo team
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 10350)
+++ /trunk/language/zh_CN/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: 简体中文 [CN]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=438
 Author: Piwigo team
Index: /trunk/language/zh_TW/common.lang.php
===================================================================
--- /trunk/language/zh_TW/common.lang.php	(revision 10350)
+++ /trunk/language/zh_TW/common.lang.php	(revision 10351)
@@ -23,5 +23,5 @@
 /*
 Language Name: 中文 (繁體) [TW]
-Version: 2.2.0
+Version: 2.3.0
 Language URI: http://piwigo.org/ext/extension_view.php?eid=524
 Author: Piwigo team
Index: /trunk/plugins/LocalFilesEditor/main.inc.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/main.inc.php	(revision 10350)
+++ /trunk/plugins/LocalFilesEditor/main.inc.php	(revision 10351)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: LocalFiles Editor
-Version: 2.2.0
+Version: 2.3.0
 Description: Edit local files from administration panel
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=144
Index: /trunk/plugins/admin_multi_view/main.inc.php
===================================================================
--- /trunk/plugins/admin_multi_view/main.inc.php	(revision 10350)
+++ /trunk/plugins/admin_multi_view/main.inc.php	(revision 10351)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: Multi view
-Version: 2.2.0
+Version: 2.3.0
 Description: Allows administrators to view gallery as guests and/or change the language and/or theme on the fly. Practical to debug changes...
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=286
Index: /trunk/plugins/c13y_upgrade/main.inc.php
===================================================================
--- /trunk/plugins/c13y_upgrade/main.inc.php	(revision 10350)
+++ /trunk/plugins/c13y_upgrade/main.inc.php	(revision 10351)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: Check upgrades
-Version: 2.2.0
+Version: 2.3.0
 Description: Check integrity of upgrades.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=287
Index: /trunk/plugins/language_switch/main.inc.php
===================================================================
--- /trunk/plugins/language_switch/main.inc.php	(revision 10350)
+++ /trunk/plugins/language_switch/main.inc.php	(revision 10351)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: Language Switch
-Version: 2.2.0
+Version: 2.3.0
 Description: Switch to another language from flags on your gallery home page.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=123
Index: /trunk/themes/Sylvia/themeconf.inc.php
===================================================================
--- /trunk/themes/Sylvia/themeconf.inc.php	(revision 10350)
+++ /trunk/themes/Sylvia/themeconf.inc.php	(revision 10351)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Sylvia
-Version: 2.2.0
+Version: 2.3.0
 Description: Dark background, flora and pink decorations.
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=368
Index: /trunk/themes/clear/themeconf.inc.php
===================================================================
--- /trunk/themes/clear/themeconf.inc.php	(revision 10350)
+++ /trunk/themes/clear/themeconf.inc.php	(revision 10351)
@@ -2,5 +2,5 @@
 /*
 Theme Name: clear
-Version: 2.2.0
+Version: 2.3.0
 Description: White background, soft gray.
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=9
Index: /trunk/themes/dark/themeconf.inc.php
===================================================================
--- /trunk/themes/dark/themeconf.inc.php	(revision 10350)
+++ /trunk/themes/dark/themeconf.inc.php	(revision 10351)
@@ -2,5 +2,5 @@
 /*
 Theme Name: dark
-Version: 2.2.0
+Version: 2.3.0
 Description: Dark background, grayscale.
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=369