Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 10351)
+++ /trunk/language/ar_SA/common.lang.php	(revision 10352)
@@ -235,8 +235,4 @@
 $lang['Most visited'] = 'الصور الأكثر مشاهدة';
 $lang['display most visited photos'] = 'أعرض الصور الاكثر مشاهدة';
-// $lang['The number of photos per row must be a not null scalar'] = 'عدد الصور لكل صف لا يجب ان يكون فارغ';
-// $lang['Number of photos per row'] = 'عدد الصورلكل صف';
-// $lang['The number of rows per page must be a not null scalar'] = 'عدد الصورلكل صف لا يجب ان يكون فارغ';
-// $lang['Number of rows per page'] = 'عدد الصفوف في الصفحة';
 $lang['Unknown identifier'] = 'معرف مجهول';
 $lang['New password'] = 'كلمة مرور جديدة';
Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 10351)
+++ /trunk/language/fa_IR/common.lang.php	(revision 10352)
@@ -230,8 +230,4 @@
 $lang['Most visited'] = "بیشترین بازدید";
 $lang['display most visited photos'] = "نمایش عکس‌هایی که بیشترین بازدید را داشته‌اند.";
-// $lang['The number of photos per row must be a not null scalar'] = "تعداد عکس‌هایی که در هر سطر نمایش داده می‌شود که باید یک عدد غیر صفر باشد.";
-// $lang['Number of photos per row'] = "تعداد عکس‌هایی که در هر سطر نمایش داده می‌شود";
-// $lang['The number of rows per page must be a not null scalar'] = "تعداد عکس‌هایی که در هر صفحه نمایش داده می‌شود که باید یک عدد غیر صفر باشد.";
-// $lang['Number of rows per page'] = "تعداد عکس‌هایی که در هر صفحه نمایش داده می‌شود";
 $lang['Unknown identifier'] = "ناشناخته!";
 $lang['New password'] = "گذرواژه جدید";
Index: /trunk/language/he_IL/common.lang.php
===================================================================
--- /trunk/language/he_IL/common.lang.php	(revision 10351)
+++ /trunk/language/he_IL/common.lang.php	(revision 10352)
@@ -230,8 +230,4 @@
 $lang['Most visited'] = "הכי נצפה";
 $lang['display most visited photos'] = "הצג את התמונות הנצפות ביותר";
-// $lang['The number of photos per row must be a not null scalar'] = 'מספר התמונות בכל שורה חייב להיות מספר שלם שונה מאפס';
-// $lang['Number of photos per row'] = 'מספר התמונות בכל שורה';
-// $lang['The number of rows per page must be a not null scalar'] = 'מספר שורות בכל דף חייב להיות מספר שלם שונה מאפס';
-// $lang['Number of rows per page'] = "מספר שורות לעמוד";
 $lang['Unknown identifier'] = 'מזהה לא ידוע';
 $lang['New password'] = "סיסמה חדשה";
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 10351)
+++ /trunk/language/hu_HU/common.lang.php	(revision 10352)
@@ -232,8 +232,6 @@
 $lang['Most visited'] = 'Legtöbbször nézett';
 $lang['display most visited photos'] = 'A leglátogatottabb képek megjelenítése';
-// $lang['The number of photos per row must be a not null scalar'] = 'A soronkénti képek száma nem lehet 0!';
-// $lang['Number of photos per row'] = 'Képek száma soronként';
-// $lang['The number of rows per page must be a not null scalar'] = 'Az oldalankénti sorok száma nem lehet 0!';
-// $lang['Number of rows per page'] = 'Sorok száma oldalanként';
+$lang['The number of photos per page must be a not null scalar'] = 'Az oldalankénti képek száma nem lehet 0!';
+$lang['Number of photos per page'] = 'Képek száma oldalanként';
 $lang['Unknown identifier'] = 'Ismeretlen azonosító';
 $lang['New password'] = 'Új jelszó';
Index: /trunk/language/is_IS/common.lang.php
===================================================================
--- /trunk/language/is_IS/common.lang.php	(revision 10351)
+++ /trunk/language/is_IS/common.lang.php	(revision 10352)
@@ -230,8 +230,4 @@
 $lang['Most visited'] = 'Oftast heimsótt';
 $lang['display most visited photos'] = 'sýna mest heimsóttar myndir';
-// $lang['The number of photos per row must be a not null scalar'] = 'Fjöldi mynda í röð verða að vera nonzero heiltala';
-// $lang['Number of photos per row'] = 'Fjöldi mynda í hverri röð';
-// $lang['The number of rows per page must be a not null scalar'] = 'Fjöldi raða á síðu verða að vera nonzero heiltala';
-// $lang['Number of rows per page'] = 'Fjöldi raða á síðu';
 $lang['Unknown identifier'] = 'Óþekkt auðkenni';
 $lang['New password'] = 'Nýtt lykilorð';
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 10351)
+++ /trunk/language/ja_JP/common.lang.php	(revision 10352)
@@ -231,8 +231,4 @@
 $lang['Most visited'] = '最多アクセス';
 $lang['display most visited photos'] = '最もアクセスされた写真を表示します。';
-// $lang['The number of photos per row must be a not null scalar'] = '1行あたりのイメージ数には、空白以外の値を設定してください。';
-// $lang['Number of photos per row'] = '1行あたりのイメージ数';
-// $lang['The number of rows per page must be a not null scalar'] = '1ページあたりの行数には、空白以外の値を設定してください。';
-// $lang['Number of rows per page'] = '1ページあたりの行数';
 $lang['Unknown identifier'] = '不明なID';
 $lang['New password'] = '新しいパスワード';
Index: /trunk/language/ka_GE/common.lang.php
===================================================================
--- /trunk/language/ka_GE/common.lang.php	(revision 10351)
+++ /trunk/language/ka_GE/common.lang.php	(revision 10352)
@@ -232,8 +232,4 @@
 $lang['Most visited'] = 'პოპულარურობის მიხედვით';
 $lang['display most visited photos'] = 'ვნახოთ ყველაზე პოპულარული ფოტოები';
-// $lang['The number of photos per row must be a not null scalar'] = 'ფოტოების რიცხვი არ უნდა იყოს ნულის ტოლი';
-// $lang['Number of photos per row'] = 'ფოტოების რაოდენობა სტრიქონში';
-// $lang['The number of rows per page must be a not null scalar'] = 'სტრიქონთა რაოდენობა არ უნდა იყოს ნულის ტოლი';
-// $lang['Number of rows per page'] = 'სტრიქონთა რიცხვი გვერდზე';
 $lang['Unknown identifier'] = 'უცნობი იდენტიფიკატორი';
 $lang['New password'] = 'ახალი პაროლი';
Index: /trunk/language/mk_MK/common.lang.php
===================================================================
--- /trunk/language/mk_MK/common.lang.php	(revision 10351)
+++ /trunk/language/mk_MK/common.lang.php	(revision 10352)
@@ -241,8 +241,4 @@
 $lang['Most visited'] = 'Најпосетени';
 $lang['display most visited photos'] = 'Ги покажува најпосетените фотографии';
-// $lang['The number of photos per row must be a not null scalar'] = 'Бројот на фотографии во низа не може да биде непостоечки број.';
-// $lang['Number of photos per row'] = 'Број на фотографии во низа';
-// $lang['The number of rows per page must be a not null scalar'] = 'Бројот на низи по страна не може да биде непостоечки број.';
-// $lang['Number of rows per page'] = 'Број на низи по страна';
 $lang['Unknown identifier'] = 'Unknown identifier';
 $lang['New password'] = 'Нова лозинка';
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 10351)
+++ /trunk/language/pl_PL/common.lang.php	(revision 10352)
@@ -232,8 +232,6 @@
 $lang['Most visited'] = 'Najczęściej odwiedzane';
 $lang['display most visited photos'] = 'pokaż najczęściej odwiedzane zdjęcia';
-// $lang['The number of photos per row must be a not null scalar'] = 'Liczba zdjęć w wierszu musi być większa od zera';
-// $lang['Number of photos per row'] = 'Liczba zdjęć w wierszu';
-// $lang['The number of rows per page must be a not null scalar'] = 'Liczba wierszy na stronie musi być większa od zera';
-// $lang['Number of rows per page'] = 'Liczba wierszy na stronie';
+$lang['The number of photos per page must be a not null scalar'] = 'Liczba zdjęć na stronie musi być większa od zera';
+$lang['Number of photos per page'] = 'Liczba zdjęć na stronie';
 $lang['Unknown identifier'] = 'Nieznany identyfikator';
 $lang['New password'] = 'Nowe hasło';
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 10351)
+++ /trunk/language/ru_RU/common.lang.php	(revision 10352)
@@ -232,8 +232,4 @@
 $lang['Most visited'] = 'По популярности';
 $lang['display most visited photos'] = 'показать наиболее популярные фотографии';
-// $lang['The number of photos per row must be a not null scalar'] = 'Число фотографий в ряду недолжно быть нулевым';
-// $lang['Number of photos per row'] = 'Число фотографий в ряду';
-// $lang['The number of rows per page must be a not null scalar'] = 'Число строк на странице должно быть не нулевым целым положительным';
-// $lang['Number of rows per page'] = 'Число строк на странице';
 $lang['Unknown identifier'] = 'Неизвестный идентификатор';
 $lang['New password'] = 'Новый пароль';
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 10351)
+++ /trunk/language/sk_SK/common.lang.php	(revision 10352)
@@ -236,8 +236,6 @@
 $lang['Most visited'] = 'Najčastejšie zobrazované';
 $lang['display most visited photos'] = 'najčastejšie zobrazované fotografie';
-// $lang['The number of photos per row must be a not null scalar'] = 'Počet fotografií v riadku musí byť číslo väčšie ako 0.';
-// $lang['Number of photos per row'] = 'Počet fotografií v riadku';
-// $lang['The number of rows per page must be a not null scalar'] = 'Počet riadkov na stránke musí byť číslo väčšie ako 0.';
-// $lang['Number of rows per page'] = 'Počet riadkov na stránke';
+$lang['The number of photos per page must be a not null scalar'] = 'Počet fotografií na stránke musí byť číslo väčšie ako 0.';
+$lang['Number of photos per page'] = 'Počet fotografií na stránke';
 $lang['Unknown identifier'] = 'Neznámy identifikátor';
 $lang['New password'] = 'Nové heslo';
Index: /trunk/language/sl_SL/common.lang.php
===================================================================
--- /trunk/language/sl_SL/common.lang.php	(revision 10351)
+++ /trunk/language/sl_SL/common.lang.php	(revision 10352)
@@ -205,8 +205,6 @@
 $lang['Most visited'] = 'Najbolj obiskana';
 $lang['display most visited photos'] = 'prikaži najbolj obiskane slike';
-// $lang['The number of photos per row must be a not null scalar'] = 'Število slik v vrstici, mora biti ne prazno celo število.';
-// $lang['Number of photos per row'] = 'Število slik v vrstici';
-// $lang['The number of rows per page must be a not null scalar'] = 'Število vrstic na strani, mora biti ne prazno celo število.';
-// $lang['Number of rows per page'] = 'Število vrstic na stran';
+$lang['The number of photos per page must be a not null scalar'] = 'Število slik na stran, mora biti ne prazno celo število.';
+$lang['Number of photos per page'] = 'Število slik na stran';
 $lang['Unknown identifier'] = 'Neznan';
 $lang['New password'] = 'Novo geslo';
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 10351)
+++ /trunk/language/tr_TR/common.lang.php	(revision 10352)
@@ -234,8 +234,4 @@
 $lang['Most visited'] = 'En çok görüntülenenler';
 $lang['display most visited photos'] = 'en çok görüntülenen resimlerı göster';
-// $lang['The number of photos per row must be a not null scalar'] = 'Her sıra için gösterilen resim sayısı 0 dan farklı bir tam sayı olmalıdır';
-// $lang['Number of photos per row'] = 'Her sıra için gösterilen resim sayısı';
-// $lang['The number of rows per page must be a not null scalar'] = 'Her sayfa için gösterilen resim sayısı 0 dan farklı bir tamsayı olmalıdır';
-// $lang['Number of rows per page'] = 'Her sayfada gösterilen sıra sayısı';
 $lang['Unknown identifier'] = 'bilinmeyen kimlik';
 $lang['New password'] = 'yeni şifre';
Index: /trunk/language/uk_UA/common.lang.php
===================================================================
--- /trunk/language/uk_UA/common.lang.php	(revision 10351)
+++ /trunk/language/uk_UA/common.lang.php	(revision 10352)
@@ -258,8 +258,6 @@
 $lang['Most visited'] = 'Найбільш відвідувані';
 $lang['display most visited photos'] = 'показувати найбільш відвідувані фотографії';
-// $lang['The number of photos per row must be a not null scalar'] = 'Кількість фотографій у рядку повинно бути цілим ненульовим числом';
-// $lang['Number of photos per row'] = 'Кількість фотографій в рядку';
-// $lang['The number of rows per page must be a not null scalar'] = 'Кількість рядків на сторінці повинно бути цілим ненульовим числом';
-// $lang['Number of rows per page'] = 'Кількість рядків на сторінці';
+$lang['The number of photos per page must be a not null scalar'] = 'Кількість фотографій на сторінці повинно бути цілим ненульовим числом';
+$lang['Number of photos per page'] = 'Кількість фотографій на сторінці';
 $lang['Unknown identifier'] = 'Невідомий ідентифікатор';
 $lang['New password'] = 'Новий пароль';
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 10351)
+++ /trunk/language/vi_VN/common.lang.php	(revision 10352)
@@ -230,8 +230,4 @@
 $lang['Most visited'] = 'Hình được xem nhiều nhất';
 $lang['display most visited photos'] = 'hiển thị những hình được xem nhiều nhất';
-// $lang['The number of photos per row must be a not null scalar'] = 'Số hình mỗi hàng phải là đại lượng vô hướng không rỗng';
-// $lang['Number of photos per row'] = 'Số hình trên mỗi hàng';
-// $lang['The number of rows per page must be a not null scalar'] = 'Số hàng mỗi trang phải là đại lượng vô hướng không rỗng';
-// $lang['Number of rows per page'] = 'Số hàng trên mỗi trang';
 $lang['Unknown identifier'] = 'Định danh không xác định';
 $lang['New password'] = 'Mật khẩu mới';
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 10351)
+++ /trunk/language/zh_CN/common.lang.php	(revision 10352)
@@ -231,8 +231,4 @@
 $lang['Most visited'] = "最多观看";
 $lang['display most visited photos'] = "显示最多观看的图片";
-// $lang['The number of photos per row must be a not null scalar'] = "每行图片的数量必须为非零整数";
-// $lang['Number of photos per row'] = "每行图片的数量";
-// $lang['The number of rows per page must be a not null scalar'] = "行数必须为非零整数";
-// $lang['Number of rows per page'] = "每页行数";
 $lang['Unknown identifier'] = "未知标识符";
 $lang['New password'] = "新密码";
Index: /trunk/language/zh_TW/common.lang.php
===================================================================
--- /trunk/language/zh_TW/common.lang.php	(revision 10351)
+++ /trunk/language/zh_TW/common.lang.php	(revision 10352)
@@ -231,8 +231,4 @@
 $lang['Most visited'] = '最受喜歡';
 $lang['display most visited photos'] = '顯示查看次數最多的圖片';
-// $lang['The number of photos per row must be a not null scalar'] = '每行圖片數必須是非零整數';
-// $lang['Number of photos per row'] = '每行圖片數';
-// $lang['The number of rows per page must be a not null scalar'] = '每頁總行數必須是非零整數';
-// $lang['Number of rows per page'] = '每頁行數';
 $lang['Unknown identifier'] = '帳戶不存在';
 $lang['New password'] = '新密碼';